%define __libtoolize    /bin/true

%define lib_name_orig %mklibname kexi
%define lib_major 0
%define lib_name %lib_name_orig%lib_major

Name:           kexi
Summary:        Kexi is an integrated environment for managing data.
Version:        0.1
Release:        0.beta4.3mdk
Source:         %{name}-0.1beta4.tar.bz2
URL:            http://www.kde-apps.org/content/show.php?content=12391
Group:		Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot
License:		GPL

BuildRequires:	XFree86-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	arts-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
Requires:       kdebase >= 3.2
Requires:	%lib_name = %version-%release

%description
Kexi is an integrated environment for managing data. It helps in creating database schemas, 
inserting, querying and processing data. As Kexi is a real member of the KDE and KOffice projects, 
it integrates fluently into both. It is designed to be fully usable also without KDE on Unix, 
MS Windows and Mac OS X platforms.
Kexi is considered as long awaited MS Access replacement.
NOTE: For this version please only use/create file-based databases.
NOTE2: Source archive is now updated (link the same as before) - fixed './configure' problems, 
so please download again if you need.


%package -n %lib_name
Group:		Development/KDE and Qt
Summary:	Librairies files for Kexi


%description -n %lib_name
Librairies file for Kexi

%package -n %lib_name-devel
Group:		Development/KDE and Qt
Summary:	Header files for developing kexi
Requires:      %{lib_name} = %epoch:%{version}-%{release}


%description -n %lib_name-devel
Header files needed for developing kexi applications.


%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n%{name}-0.1beta4


%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

# update config.{sub,guess} scripts
%{?__cputoolize: %{__cputoolize}}

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//' | sed -e 's/-ffast-math//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
	%configure --disable-rpath \
		   --disable-debug

%make

%install
rm -rf %buildroot
%makeinstall

install -d %buildroot/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "More Applications/Databases" %buildroot/%{_datadir}/applnk/Utilities/kformdesigner.desktop %buildroot/%{_menudir}/kformdesigner
kdedesktop2mdkmenu.pl %{name} "More Applications/Databases" %buildroot/%{_datadir}/applications/kde/kexi.desktop %buildroot/%{_menudir}/kexi


%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig


%files -n %lib_name-devel
%defattr(-,root,root)
%_libdir/libkexicore.so
%_libdir/libkexidatatable.so
%_libdir/libkexidb.so
%_libdir/libkexidbparser.so
%_libdir/libkexiextendedwidgets.so
%_libdir/libkeximain.so
%_libdir/libkexipropertyeditor.so
%_libdir/libkexirelationsview.so
%_libdir/libkexisql.so
%_libdir/libkformeditor.so


%files -n %lib_name
%defattr(-,root,root)
%_libdir/kde3/*.la
%_libdir/kde3/*.so

%_libdir/libkdeinit_kexi.so
 %_libdir/libkdeinit_kexi.la
%_libdir/libkexicore.la
%_libdir/libkexicore.so.*

%_libdir/libkexidatatable.la
%_libdir/libkexidatatable.so.*

%_libdir/libkexidb.la
%_libdir/libkexidb.so.*

%_libdir/libkexidbparser.la
%_libdir/libkexidbparser.so.*

%_libdir/libkexiextendedwidgets.la
%_libdir/libkexiextendedwidgets.so.*

%_libdir/libkeximain.la
%_libdir/libkeximain.so.*

%_libdir/libkexipropertyeditor.la
%_libdir/libkexipropertyeditor.so.*

%_libdir/libkexirelationsview.la

%_libdir/libkexirelationsview.so.*

%_libdir/libkexisql.la
%_libdir/libkexisql.so.*

%_libdir/libkformeditor.la
%_libdir/libkformeditor.so.*


%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/kexi
%_bindir/kformdesigner

%_menudir/kexi
%_menudir/kformdesigner

%_datadir/applnk/Utilities/kformdesigner.desktop
%_datadir/applications/kde/kexi.desktop

%_datadir/apps/kexi/icons/crystalsvg/16x16/actions/*.png

%_datadir/apps/kexi/icons/crystalsvg/22x22/actions/*.png

%_datadir/apps/kexi/icons/crystalsvg/32x32/actions/*.png

%_datadir/apps/kexi/icons/crystalsvg/64x64/actions/*.png

%_datadir/apps/kexi/icons/hicolor/16x16/actions/*.png

%_datadir/apps/kexi/icons/hicolor/22x22/actions/*.png

%_datadir/apps/kexi/*.rc

%_datadir/apps/kexi/pics/*.png

%_datadir/apps/kexi/readme_en

%_datadir/apps/kformdesigner/*.rc

%_datadir/config/kexirc
%_datadir/config/magic/kexi.magic

%_datadir/icons/crystalsvg/16x16/apps/kexi.png
%_datadir/icons/crystalsvg/32x32/apps/kexi.png
%_datadir/icons/crystalsvg/32x32/mimetypes/kexiproject_shortcut.png
%_datadir/icons/crystalsvg/32x32/mimetypes/kexiproject_sqlite.png
%_datadir/icons/crystalsvg/48x48/apps/kexi.png
%_datadir/icons/crystalsvg/scalable/apps/kexi.svgz
%_datadir/icons/hicolor/16x16/apps/kexi.png
%_datadir/icons/hicolor/16x16/mimetypes/kexi.png
%_datadir/icons/hicolor/32x32/apps/kexi.png
%_datadir/icons/hicolor/32x32/mimetypes/kexi.png
%_datadir/icons/hicolor/48x48/apps/kexi.png
%_datadir/icons/hicolor/48x48/mimetypes/kexi.png

%_datadir/mimelnk/application/*.desktop

%_datadir/services/kexi/*.desktop

%_datadir/services/*.desktop

%_datadir/services/kformeditor/*.desktop

%_datadir/servicetypes/*.desktop


%changelog
* Fri Oct 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta4.3mdk
- Fix menu entry MDK bug #11638

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta4.2mdk
- Rebuild with new menu table

* Mon Jul 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta4.1mdk
- beta4

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta3.4mdk
- Rebuild

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta3.3mdk
- Fix spec file

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta3.2mdk
- Fix requires

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-1mdk
- First package

